Package org.apache.sling.testing.junit.rules.util

## Class Match

- java.lang.Object
- - org.apache.sling.testing.junit.rules.util.Match

    public class Match
    extends Object

### Constructor Summary

Constructors
`Match​(boolean matched)`
`Match​(boolean matched, String reason)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getReason()`
`boolean` `isIgnored()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Match

    public Match​(boolean matched,
                 String reason)

#### Match

    public Match​(boolean matched)

### Method Detail

#### isIgnored

    public boolean isIgnored()

#### getReason

    public String getReason()